sosemanuk.h File Reference

Classes for Sosemanuk stream cipher. More...

Go to the source code of this file.

## Classes

struct | SosemanukInfo
| Sosemanuk stream cipher information. More...
class | SosemanukPolicy
| Sosemanuk stream cipher implementation. More...
struct | Sosemanuk
| Sosemanuk stream cipher. More...

## Macros

#define | CRYPTOPP_DISABLE_SOSEMANUK_ASM 1

## Detailed Description

Classes for Sosemanuk stream cipher.

Since
  Crypto++ 5.5

Definition in file sosemanuk.h.

## Macro Definition Documentation

## CRYPTOPP_DISABLE_SOSEMANUK_ASM

#define CRYPTOPP_DISABLE_SOSEMANUK_ASM 1

Definition at line 16 of file sosemanuk.h.